String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("DivNUM").innerHTML="NUMERO DE COBRO :";
	document.getElementById("CboCom").value="";
	document.getElementById("TxtSer").value="";
	document.getElementById("TxtNum").value="";	
	document.getElementById("TxtAcu").value="";	
	document.getElementById("TxtTot").value="";	
	document.getElementById("TxtSal").value="";	
	document.getElementById("TxtObs").value="";	
	document.getElementById("TxtTve").value="";
	//
	document.getElementById("CmdG").disabled =false;
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}
//
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea eliminar?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("E");
	}
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}
//
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
//
function snNum(O,e,Sig){	
	var k;
	var v;
	v=trimm(O.value);
	k=(document.all) ? e.keyCode :e.which;
	if((k>=48 && k<=57) || k==8 || (k>=96 && k<=105) || 
		k==37 || k==39 || k==46 || k==36 || k==35 || k==9){
		return true;
	}else{
		if(k==13){
			sv("TxtTve","");
			sv("TxtAcu","");
			sv("TxtTot","");
			sv("TxtSal","");
			sv("TxtObs","");
			var Emp=gv("CboEmp");
			var Com=gv("CboCom");
			var Num=gv("TxtNum");
			var Ser=gv("TxtNum");
			if(jLen(Emp)==0){
				alert("Seleccione una empresa");
				jFocus("CboEmp");return;
			}
			if(jLen(Com)==0){
				alert("Seleccione un comprobante");
				jFocus("CboCom");return;
			}
			if(jLen(Ser)==0){
				alert("Ingrese una serie");
				jFocus("TxtSer");return;
			}
			if(jLen(Num)==0){
				alert("Ingrese el numero del comprobante");
				jFocus("TxtNum");return;
			}
			var R=fGetSaldo();
			if(R=="X"){
				alert("Error. Comunicarse con el proveedor del software");
				jFocuz("TxtNum");return;
			}
			if(R=="Z"){
				alert("Comprobante serie y numero "+
					  "NO tiene SALDO por COBRAR");
				jFocuz("TxtNum");return;
			}
			if(R=="CO"){
				alert("Comprobante serie y numero "+
					  "fue cancelado al CONTADO");
				jFocuz("TxtNum");return;
			}
			if(R=="NR"){
				alert("Comprobante serie y numero NO REGISTRADO");
				jFocuz("TxtNum");return;
			}
			if(R=="NP"){
				alert("Comprobante serie y numero NO ES EL DOC. PRINCIPAL");
				jFocuz("TxtNum");return;
			}
			if(R=="AN"){
				alert("Comprobante serie y numero HA SIDO ANULADO");
				jFocuz("TxtNum");return;
			}			
			var A=DG(R,1);
			var B=DG(R,2);
			sv("TxtTve",A);
			sv("TxtAcu",B);
			document.getElementById(Sig).focus();
			return true;
		}else{
			return false;
		}
	}
}
function fGetSaldo(){
	var Emp=gv("CboEmp");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=GS&P1="+Com+"&P2="+Ser+"&P3="+Num+"&P4="+Emp;
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
function fGuardar(){
	if(!pre("Esta seguro que desea guardar?")){
		return;
	}
	var Kon=gv("TxtKon")
	var Fec=gv("TxtFec");
	var Emp=gv("CboEmp");	
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var Sal=jVal(gv("TxtSal"));	
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		jFocus("CboEmp");return;
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}	
	if(jLen(Ser)==0){
		alert("Ingrese el numero de serie");
		jFocus("TxtSer");return;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de comprobante y presione enter");
		jFocus("TxtNum");return;
	}
	if(Tot<=0){
		alert("El Tot. Cob. debe ser mayor a cero");
		jFocus("TxtTot");return;
	}
	if(Sal<0){
		alert("El saldo no puede ser menor a cero");
		jFocus("TxtTot");return;
	}
	if(jLen(Kon)>0){
		var url="aj.php?Cmd=KON&P1="+Kon;
		var R=AJ(url);
		if(R=="NR"){
			alert("Numero de contrato no registrado");
			jFocus("TxtKon");
			return;
		}
		if(Tot>jVal(R)){
			alert("El total a cobrar el mayor al saldo disponible del contrato");
			jFocuz("TxtTot");
			return;
		}
	}
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("CmdG").disabled=true;
	document.getElementById("Frm").submit();
}

//**************************************************************************
